tika-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bertrand Delacretaz (JIRA)" <j...@apache.org>
Subject [jira] Commented: (TIKA-9) Make source code compilable on Java 1.4 by removing Java 5 features such as generics.
Date Sat, 15 Sep 2007 09:54:32 GMT

    [ https://issues.apache.org/jira/browse/TIKA-9?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12527720
] 

Bertrand Delacretaz commented on TIKA-9:
----------------------------------------

I don't want to fight the consensus but I'm not sure if this is worth the effort.

IMHO we're bound to hit classloader issues soon with Tika (caused by third-party libraries
having incompatible dependencies), and once this happens it might be useful to not be tied
to JDK 1.4.

So, unless you really need this now, it might not be worth the effort.

> Make source code compilable on Java 1.4 by removing Java 5 features such as generics.
> -------------------------------------------------------------------------------------
>
>                 Key: TIKA-9
>                 URL: https://issues.apache.org/jira/browse/TIKA-9
>             Project: Tika
>          Issue Type: Task
>          Components: general
>    Affects Versions: 0.1-incubator
>            Reporter: Keith R. Bennett
>
> A concensus was reached to make the library Java 1.4 compatible.
> Some source files have generics (e.g. List<String>).  
> These need to be removed so that the library is 1.4 compatible.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message